<script setup>
import { computed } from 'vue'

const props = defineProps({
  book: {
    type: Object,
    required: true
  }
})

const imageSrc = computed(() => {
  console.log(props.book.image?.type)
  if (props.book.image?.type === 'url') {
    return props.book.image.data
  } else if (props.book.image?.type === 'base64') {
    return props.book.image.data
  }
  return ''
})

console.log(props.book)
</script>

<template>
  <v-card>
    <v-card-title>{{ props.book.title }}</v-card-title>
    <v-card-subtitle>Author: {{ props.book.author }}, Year: {{ props.book.year }}</v-card-subtitle>
    <v-card-text>
      <v-img :src="imageSrc"></v-img>
      {{ props.book.description }}
    </v-card-text>
  </v-card>
</template>

<style scoped></style>
